Class | Chef::Provider::Package::Yum
In: | lib/chef/provider/package/yum.rb
Parent: | Chef::Provider::Package

### Methods

action_upgrade allow_downgrade arch flush_cache install_package load_current_resource new purge_package remove_package upgrade_package yum_arch yum_command

### Included Modules

Chef::Mixin::GetSourceFromPackage

### Classes and Modules

Class Chef::Provider::Package::Yum::RPMDb
Class Chef::Provider::Package::Yum::RPMDbPackage
Class Chef::Provider::Package::Yum::RPMDependency
Class Chef::Provider::Package::Yum::RPMPackage
Class Chef::Provider::Package::Yum::RPMProvide
Class Chef::Provider::Package::Yum::RPMRequire
Class Chef::Provider::Package::Yum::RPMUtils
Class Chef::Provider::Package::Yum::RPMVersion
Class Chef::Provider::Package::Yum::YumCache

### Public Class methods

new(new_resource, run_context)

### Public Instance methods

action_upgrade()

Keep upgrades from trying to install an older candidate version. Can happen when a new version is installed then removed from a repository, now the older available version shows up as a viable install candidate.

Can be done in upgrade_package but an upgraded from->to log message slips out

Hacky - better overall solution? Custom compare in Package provider?

allow_downgrade()
arch()

Extra attributes

flush_cache()
install_package(name, version)
load_current_resource()

Standard Provider methods for Parent

purge_package(name, version)
remove_package(name, version)
upgrade_package(name, version)
yum_arch()

Helpers

yum_command(command)

[Validate]